#!/bin/bash

APP_TYPE="$1" # shell or python
SCRIPTS_DIR=$(cd $(dirname "$0"); pwd)
PROJECT_HOME="$SCRIPTS_DIR/.."
ARCH=$(jq -r .arch "$PROJECT_HOME/info.json") || exit
APP_SRC_DIR="$PROJECT_HOME/app_$ARCH/src"

source "$SCRIPTS_DIR"/util.sh

ext="sh"
run_prog=""
if [ "$APP_TYPE" == "python" ]; then
    ext="py"
    run_prog="python3"
fi

copy_run "$APP_SRC_DIR" "/root/${APP_TYPE}_app/src" "$run_prog" "/root/${APP_TYPE}_app/src/main.$ext"
